## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/pluginconfig.h File Reference

Configurator interface. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes

struct | csOptionDescription
| Configuration option description. More...
struct | csVariant
| Variant, means that type of contained data is set at runtime. More...
struct | iPluginConfig
| Interface to a configurator object. More...

## Enumerations

enum | csVariantType { CSVAR_LONG, CSVAR_BOOL, CSVAR_CMD, CSVAR_FLOAT, CSVAR_STRING }
| Types that can be contained within a variant. More...

## Detailed Description

Configurator interface.

Definition in file pluginconfig.h.